NX Open C++ Reference Guide
|
Represents a Trim Task feature builder. More...
Public Types | |
enum | CamTypes { CamTypesDirect = 2, CamTypesAerial = 0, CamTypesBaseMounted } |
Settings for the cam type of the trim task. More... | |
enum | MatchCutTypes { MatchCutTypesNone, MatchCutTypesAtStart, MatchCutTypesAtEnd, MatchCutTypesAtBoth } |
Settings for the match cut type of the trim task. More... | |
Public Member Functions | |
double | AngleTolerance () |
Returns the angle tolerance of the trim task Created in NX4.0.0. | |
NXOpen::ILocation * | CamDirection () |
Returns the cam direction of the trim task Created in NX4.0.0. | |
NXOpen::Die::TrimTaskBuilder::CamTypes | CamType () |
Returns the cam type of the trim task Created in NX4.0.0. | |
void | CheckAndMovePlanes (NXOpen::Features::Feature *origTip, NXOpen::Features::Feature *targetTip, NXOpen::ISurface *origStartPlaneTag, NXOpen::ISurface *origEndPlaneTag, NXOpen::ISurface **targetStartPlaneTag, NXOpen::ISurface **targetEndPlaneTag) |
Move end planes if the position of Trim Task is changed. | |
bool | CreateScrap () |
Returns the create scrap setting of the trim task. | |
double | DistanceTolerance () |
Returns the distance tolerance of the trim task Created in NX4.0.0. | |
NXOpen::ISurface * | EndPlane () |
Returns the end plane of the trim task Created in NX4.0.0. | |
bool | FinishOperation () |
Returns the finish operation of the trim task True indicates the trim is to be a finish trim. | |
std::vector < NXOpen::DisplayableObject * > | GetAssociativeObjects () |
Gets the associative objects of the trim task. | |
std::vector< NXString > | GetCameraLayerAndXmlp (std::vector< NXString > &xmlpData) |
Gets the camera layer settings and xmlp data. | |
std::vector< NXString > | GetCameraNames () |
Gets the names of the camera. | |
std::vector< NXOpen::View * > | GetCameraViews () |
Gets the camera views of the trim task. | |
std::vector< NXString > | GetDetails () |
Gets the detailed description of the trim task. | |
std::vector< NXOpen::ISurface * > | GetScrapCutters () |
Gets the scrap cutters of the trim task. | |
std::vector< NXOpen::IProfile * > | GetTrimBounds (NXOpen::Die::DirectionOption *direction) |
Gets the trim bounds of the trim task. | |
bool | LayoutFlange () |
Returns the layout flange setting of the trim task. | |
double | MatchCutExtensionAngle () |
Returns the match cut extension angle dimension of the trim task Created in NX4.0.0. | |
double | MatchCutFirstRadius () |
Returns the match cut first radius dimension of the trim task Created in NX4.0.0. | |
double | MatchCutNotchOffset () |
Returns the match cut notch offset dimension of the trim task Created in NX4.0.0. | |
double | MatchCutOffsetFromPlane () |
Returns the match cut offset from plane dimension of the trim task Created in NX4.0.0. | |
double | MatchCutOffsetLength () |
Returns the match cut offset length dimension of the trim task Created in NX4.0.0. | |
double | MatchCutScrapCutterLength () |
Returns the match cut scrap cutter length dimension of the trim task Created in NX4.0.0. | |
double | MatchCutSecondRadius () |
Returns the match cut second radius dimension of the trim task Created in NX4.0.0. | |
double | MatchCutThirdRadius () |
Returns the match cut third radius dimension of the trim task Created in NX4.0.0. | |
NXOpen::Die::TrimTaskBuilder::MatchCutTypes | MatchCutType () |
Returns the match cut type of the trim task Created in NX4.0.0. | |
bool | ReverseTrimSide () |
Returns the reverse trim side setting of the trim task. | |
void | SetAngleTolerance (double angleTolerance) |
Sets the angle tolerance of the trim task Created in NX4.0.0. | |
void | SetAssociativeObjects (const std::vector< NXOpen::DisplayableObject * > &objects) |
Sets the associative objects of the trim task Created in NX4.0.0. | |
void | SetCamDirection (NXOpen::ILocation *camDirection) |
Sets the cam direction of the trim task Created in NX4.0.0. | |
void | SetCameraLayerAndXmlp (std::vector< NXString > &layerSettings, std::vector< NXString > &xmlpData) |
Sets the camera layer settings and xmlp data Created in NX4.0.0. | |
void | SetCameraNames (std::vector< NXString > &strings) |
Sets the names of the camera Created in NX4.0.0. | |
void | SetCameraViews (const std::vector< NXOpen::View * > &objects) |
Sets the camera views of the trim task Created in NX4.0.0. | |
void | SetCamType (NXOpen::Die::TrimTaskBuilder::CamTypes camType) |
Sets the cam type of the trim task Created in NX4.0.0. | |
void | SetCreateScrap (bool createScrap) |
Sets the create scrap setting of the trim task. | |
void | SetDetails (std::vector< NXString > &strings) |
Sets the detailed description of the trim task Created in NX4.0.0. | |
void | SetDistanceTolerance (double distanceTolerance) |
Sets the distance tolerance of the trim task Created in NX4.0.0. | |
void | SetEndPlane (NXOpen::ISurface *endPlane) |
Sets the end plane of the trim task Created in NX4.0.0. | |
void | SetFinishOperation (bool finishOperation) |
Sets the finish operation of the trim task True indicates the trim is to be a finish trim. | |
void | SetLayoutFlange (bool layoutFlange) |
Sets the layout flange setting of the trim task. | |
void | SetMatchCutExtensionAngle (double extensionAngle) |
Sets the match cut extension angle dimension of the trim task Created in NX4.0.0. | |
void | SetMatchCutFirstRadius (double firstRadius) |
Sets the match cut first radius dimension of the trim task Created in NX4.0.0. | |
void | SetMatchCutNotchOffset (double notchOffset) |
Sets the match cut notch offset dimension of the trim task Created in NX4.0.0. | |
void | SetMatchCutOffsetFromPlane (double offsetFromPlane) |
Sets the match cut offset from plane dimension of the trim task Created in NX4.0.0. | |
void | SetMatchCutOffsetLength (double offsetLength) |
Sets the match cut offset length dimension of the trim task Created in NX4.0.0. | |
void | SetMatchCutScrapCutterLength (double scrapCutterLength) |
Sets the match cut scrap cutter length dimension of the trim task Created in NX4.0.0. | |
void | SetMatchCutSecondRadius (double secondRadius) |
Sets the match cut second radius dimension of the trim task Created in NX4.0.0. | |
void | SetMatchCutThirdRadius (double thirdRadius) |
Sets the match cut third radius dimension of the trim task Created in NX4.0.0. | |
void | SetMatchCutType (NXOpen::Die::TrimTaskBuilder::MatchCutTypes matchCutType) |
Sets the match cut type of the trim task Created in NX4.0.0. | |
void | SetReverseTrimSide (bool reverse) |
Sets the reverse trim side setting of the trim task. | |
void | SetScrapCutters (const std::vector< NXOpen::ISurface * > &planes) |
Sets the scrap cutters of the trim task Created in NX4.0.0. | |
void | SetStartPlane (NXOpen::ISurface *startPlane) |
Sets the start plane of the trim task Created in NX4.0.0. | |
void | SetTippedProduct (NXOpen::Features::Feature *tippedProduct) |
Sets the tipped product of the trim task Created in NX4.0.0. | |
void | SetTrimBounds (NXOpen::Die::DirectionOption direction, const std::vector< NXOpen::IProfile * > &profileEntries) |
Sets the trim bounds of the trim task. | |
NXOpen::ISurface * | StartPlane () |
Returns the start plane of the trim task Created in NX4.0.0. | |
NXOpen::Features::Feature * | TippedProduct () |
Returns the tipped product of the trim task Created in NX4.0.0. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Trim Task feature builder.
To create a new instance of this class, use Die::DieCollection::TrimTask
Created in NX4.0.0.
Settings for the cam type of the trim task.
CamTypesBaseMounted |
Base Mounted Cam. |
double NXOpen::Die::TrimTaskBuilder::AngleTolerance | ( | ) |
Returns the angle tolerance of the trim task
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
NXOpen::ILocation* NXOpen::Die::TrimTaskBuilder::CamDirection | ( | ) |
Returns the cam direction of the trim task
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
NXOpen::Die::TrimTaskBuilder::CamTypes NXOpen::Die::TrimTaskBuilder::CamType | ( | ) |
Returns the cam type of the trim task
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
void NXOpen::Die::TrimTaskBuilder::CheckAndMovePlanes | ( | NXOpen::Features::Feature * | origTip, |
NXOpen::Features::Feature * | targetTip, | ||
NXOpen::ISurface * | origStartPlaneTag, | ||
NXOpen::ISurface * | origEndPlaneTag, | ||
NXOpen::ISurface ** | targetStartPlaneTag, | ||
NXOpen::ISurface ** | targetEndPlaneTag | ||
) |
Move end planes if the position of Trim Task is changed.
Created in NX8.5.0.
License requirements : die_engineering ("DIE ENGINEERING")
bool NXOpen::Die::TrimTaskBuilder::CreateScrap | ( | ) |
Returns the create scrap setting of the trim task.
True indicates that the scrap is to be created.
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING")
double NXOpen::Die::TrimTaskBuilder::DistanceTolerance | ( | ) |
Returns the distance tolerance of the trim task
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
NXOpen::ISurface* NXOpen::Die::TrimTaskBuilder::EndPlane | ( | ) |
Returns the end plane of the trim task
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
bool NXOpen::Die::TrimTaskBuilder::FinishOperation | ( | ) |
Returns the finish operation of the trim task True indicates the trim is to be a finish trim.
False indicates rough trim.
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
std::vector<NXOpen::DisplayableObject *> NXOpen::Die::TrimTaskBuilder::GetAssociativeObjects | ( | ) |
Gets the associative objects of the trim task.
std::vector<NXString> NXOpen::Die::TrimTaskBuilder::GetCameraLayerAndXmlp | ( | std::vector< NXString > & | xmlpData | ) |
Gets the camera layer settings and xmlp data.
xmlpData | xmlp data |
std::vector<NXString> NXOpen::Die::TrimTaskBuilder::GetCameraNames | ( | ) |
Gets the names of the camera.
std::vector<NXOpen::View *> NXOpen::Die::TrimTaskBuilder::GetCameraViews | ( | ) |
Gets the camera views of the trim task.
std::vector<NXString> NXOpen::Die::TrimTaskBuilder::GetDetails | ( | ) |
Gets the detailed description of the trim task.
std::vector<NXOpen::ISurface *> NXOpen::Die::TrimTaskBuilder::GetScrapCutters | ( | ) |
Gets the scrap cutters of the trim task.
std::vector<NXOpen::IProfile *> NXOpen::Die::TrimTaskBuilder::GetTrimBounds | ( | NXOpen::Die::DirectionOption * | direction | ) |
Gets the trim bounds of the trim task.
direction | Profile direction |
bool NXOpen::Die::TrimTaskBuilder::LayoutFlange | ( | ) |
Returns the layout flange setting of the trim task.
True indicates that the trim curve is to be laid out on the flange.
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
double NXOpen::Die::TrimTaskBuilder::MatchCutExtensionAngle | ( | ) |
Returns the match cut extension angle dimension of the trim task
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
double NXOpen::Die::TrimTaskBuilder::MatchCutFirstRadius | ( | ) |
Returns the match cut first radius dimension of the trim task
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
double NXOpen::Die::TrimTaskBuilder::MatchCutNotchOffset | ( | ) |
Returns the match cut notch offset dimension of the trim task
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
double NXOpen::Die::TrimTaskBuilder::MatchCutOffsetFromPlane | ( | ) |
Returns the match cut offset from plane dimension of the trim task
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
double NXOpen::Die::TrimTaskBuilder::MatchCutOffsetLength | ( | ) |
Returns the match cut offset length dimension of the trim task
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
double NXOpen::Die::TrimTaskBuilder::MatchCutScrapCutterLength | ( | ) |
Returns the match cut scrap cutter length dimension of the trim task
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
double NXOpen::Die::TrimTaskBuilder::MatchCutSecondRadius | ( | ) |
Returns the match cut second radius dimension of the trim task
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
double NXOpen::Die::TrimTaskBuilder::MatchCutThirdRadius | ( | ) |
Returns the match cut third radius dimension of the trim task
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
NXOpen::Die::TrimTaskBuilder::MatchCutTypes NXOpen::Die::TrimTaskBuilder::MatchCutType | ( | ) |
Returns the match cut type of the trim task
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
bool NXOpen::Die::TrimTaskBuilder::ReverseTrimSide | ( | ) |
Returns the reverse trim side setting of the trim task.
True indicates that the trim side should be reversed.
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
void NXOpen::Die::TrimTaskBuilder::SetAngleTolerance | ( | double | angleTolerance | ) |
Sets the angle tolerance of the trim task
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
angleTolerance | angle tolerance |
void NXOpen::Die::TrimTaskBuilder::SetAssociativeObjects | ( | const std::vector< NXOpen::DisplayableObject * > & | objects | ) |
Sets the associative objects of the trim task
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
objects | objects |
void NXOpen::Die::TrimTaskBuilder::SetCamDirection | ( | NXOpen::ILocation * | camDirection | ) |
Sets the cam direction of the trim task
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
camDirection | cam direction |
void NXOpen::Die::TrimTaskBuilder::SetCameraLayerAndXmlp | ( | std::vector< NXString > & | layerSettings, |
std::vector< NXString > & | xmlpData | ||
) |
Sets the camera layer settings and xmlp data
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
layerSettings | 1 layer setting string for each camera object. the string needs to be 256 characters long (one for each user layer) with either 0 for off or 1 for on. NOTE: The full Unicode character set is not supported for this parameter. |
xmlpData | xmlp data |
void NXOpen::Die::TrimTaskBuilder::SetCameraNames | ( | std::vector< NXString > & | strings | ) |
Sets the names of the camera
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
strings | each string contains the name of a camera object NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Die::TrimTaskBuilder::SetCameraViews | ( | const std::vector< NXOpen::View * > & | objects | ) |
Sets the camera views of the trim task
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
objects | objects |
void NXOpen::Die::TrimTaskBuilder::SetCamType | ( | NXOpen::Die::TrimTaskBuilder::CamTypes | camType | ) |
Sets the cam type of the trim task
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
camType | cam type |
void NXOpen::Die::TrimTaskBuilder::SetCreateScrap | ( | bool | createScrap | ) |
Sets the create scrap setting of the trim task.
True indicates that the scrap is to be created.
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING")
createScrap | create scrap |
void NXOpen::Die::TrimTaskBuilder::SetDetails | ( | std::vector< NXString > & | strings | ) |
Sets the detailed description of the trim task
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
strings | detail strings NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Die::TrimTaskBuilder::SetDistanceTolerance | ( | double | distanceTolerance | ) |
Sets the distance tolerance of the trim task
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
distanceTolerance | distance tolerance |
void NXOpen::Die::TrimTaskBuilder::SetEndPlane | ( | NXOpen::ISurface * | endPlane | ) |
Sets the end plane of the trim task
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
endPlane | end plane |
void NXOpen::Die::TrimTaskBuilder::SetFinishOperation | ( | bool | finishOperation | ) |
Sets the finish operation of the trim task True indicates the trim is to be a finish trim.
False indicates rough trim.
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
finishOperation | finish operation |
void NXOpen::Die::TrimTaskBuilder::SetLayoutFlange | ( | bool | layoutFlange | ) |
Sets the layout flange setting of the trim task.
True indicates that the trim curve is to be laid out on the flange.
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
layoutFlange | layout flange |
void NXOpen::Die::TrimTaskBuilder::SetMatchCutExtensionAngle | ( | double | extensionAngle | ) |
Sets the match cut extension angle dimension of the trim task
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
extensionAngle | angle of extension line from perpendicular |
void NXOpen::Die::TrimTaskBuilder::SetMatchCutFirstRadius | ( | double | firstRadius | ) |
Sets the match cut first radius dimension of the trim task
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
firstRadius | first radius after notch |
void NXOpen::Die::TrimTaskBuilder::SetMatchCutNotchOffset | ( | double | notchOffset | ) |
Sets the match cut notch offset dimension of the trim task
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
notchOffset | notch offset from trim line |
void NXOpen::Die::TrimTaskBuilder::SetMatchCutOffsetFromPlane | ( | double | offsetFromPlane | ) |
Sets the match cut offset from plane dimension of the trim task
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
offsetFromPlane | offset from scrap cutter plane |
void NXOpen::Die::TrimTaskBuilder::SetMatchCutOffsetLength | ( | double | offsetLength | ) |
Sets the match cut offset length dimension of the trim task
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
offsetLength | length of offset piece |
void NXOpen::Die::TrimTaskBuilder::SetMatchCutScrapCutterLength | ( | double | scrapCutterLength | ) |
Sets the match cut scrap cutter length dimension of the trim task
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
scrapCutterLength | entension line length |
void NXOpen::Die::TrimTaskBuilder::SetMatchCutSecondRadius | ( | double | secondRadius | ) |
Sets the match cut second radius dimension of the trim task
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
secondRadius | second radius after notch |
void NXOpen::Die::TrimTaskBuilder::SetMatchCutThirdRadius | ( | double | thirdRadius | ) |
Sets the match cut third radius dimension of the trim task
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
thirdRadius | radius between offset piece and entension line |
void NXOpen::Die::TrimTaskBuilder::SetMatchCutType | ( | NXOpen::Die::TrimTaskBuilder::MatchCutTypes | matchCutType | ) |
Sets the match cut type of the trim task
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
matchCutType | match cut type |
void NXOpen::Die::TrimTaskBuilder::SetReverseTrimSide | ( | bool | reverse | ) |
Sets the reverse trim side setting of the trim task.
True indicates that the trim side should be reversed.
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
reverse | reverse |
void NXOpen::Die::TrimTaskBuilder::SetScrapCutters | ( | const std::vector< NXOpen::ISurface * > & | planes | ) |
Sets the scrap cutters of the trim task
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
planes | planes |
void NXOpen::Die::TrimTaskBuilder::SetStartPlane | ( | NXOpen::ISurface * | startPlane | ) |
Sets the start plane of the trim task
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
startPlane | start plane |
void NXOpen::Die::TrimTaskBuilder::SetTippedProduct | ( | NXOpen::Features::Feature * | tippedProduct | ) |
Sets the tipped product of the trim task
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
tippedProduct | The tip of the operation where the trim task resides. |
void NXOpen::Die::TrimTaskBuilder::SetTrimBounds | ( | NXOpen::Die::DirectionOption | direction, |
const std::vector< NXOpen::IProfile * > & | profileEntries | ||
) |
Sets the trim bounds of the trim task.
Note - @link Die::TrimTaskBuilder::SetTippedProduct Die::TrimTaskBuilder::SetTippedProduct@endlink needs to be called before this function.
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
direction | Profile direction |
profileEntries | Profile entries that make up the boundary of the trim task |
NXOpen::ISurface* NXOpen::Die::TrimTaskBuilder::StartPlane | ( | ) |
Returns the start plane of the trim task
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
NXOpen::Features::Feature* NXOpen::Die::TrimTaskBuilder::TippedProduct | ( | ) |
Returns the tipped product of the trim task
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")